QB_RB_CHUNK_PEEK(3)

NAME
qb_rb_chunk_peek - Read (without reclaiming) the last chunk.

SYNOPSIS
#include <qb/qbrb.h>

ssize_t qb_rb_chunk_peek(
    qb_ringbuffer_t   *rb,          /* ringbuffer instance */
    /*
     * (out) a pointer to the next chunk to read (not copied).
     */
    void             **data_out,
    int32_t            ms_timeout   /* (in) time to wait for new data.*/
);

PARAMS
rb ringbuffer instance

data_out (out) a pointer to the next chunk to read (not copied).

ms_timeout (in) time to wait for new data.

DESCRIPTION

This function is a way of accessing the next chunk without a memcpy(). You can read the chunk data in place.

RETURN VALUE

the size of the chunk (0 if buffer empty).

NOTE

This function will not "pop" the chunk, you will need to call qb_rb_chunk_reclaim().

SEE ALSO

qb_rb_close(3), qb_rb_refcount_get(3), qb_rb_chmod(3), qb_rb_chown(3), qb_rb_open(3), qb_rb_write_to_file(3), qb_rb_create_from_file(3), qb_rb_chunks_used(3), qb_rb_chunk_reclaim(3), qb_rb_space_used(3), qb_rb_chunk_write(3), qb_rb_shared_user_data_get(3), qb_rb_chunk_commit(3), qb_rb_space_free(3), qb_rb_name_get(3), qb_rb_chunk_alloc(3), qb_rb_chunk_read(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.